Bug 27015 - Add filtering options to the pickup_locations routes
Summary: Add filtering options to the pickup_locations routes
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: REST API (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Nick Clemens
URL:
Keywords:
Depends on: 26988 27002
Blocks: 27016 27034
  Show dependency treegraph
 
Reported: 2020-11-13 13:31 UTC by Tomás Cohen Arazi
Modified: 2021-06-14 21:35 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 27015: Make pickup locations searchable (2.87 KB, patch)
2020-11-16 11:20 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 27015: Unit tests (1.15 KB, patch)
2020-11-17 13:47 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 27015: Make pickup locations searchable (2.87 KB, patch)
2020-11-17 13:47 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 27015: Unit tests (1.20 KB, patch)
2020-11-17 20:11 UTC, David Nind
Details | Diff | Splinter Review
Bug 27015: Make pickup locations searchable (2.92 KB, patch)
2020-11-17 20:11 UTC, David Nind
Details | Diff | Splinter Review
Bug 27015: Unit tests (1.25 KB, patch)
2020-11-18 15:44 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 27015: Make pickup locations searchable (2.97 KB, patch)
2020-11-18 15:44 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2020-11-13 13:31:46 UTC
Based on bug 27002 and bug 26988, the route could be added filters as the routes will rely on resultsets, leveraging on our existing framework.

This paves the way to using things like Select2 in a fancier way for the dropdown.
Comment 1 Tomás Cohen Arazi 2020-11-16 11:20:36 UTC
Created attachment 113657 [details] [review]
Bug 27015: Make pickup locations searchable

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Tomás Cohen Arazi 2020-11-17 13:47:43 UTC
Created attachment 113732 [details] [review]
Bug 27015: Unit tests

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 3 Tomás Cohen Arazi 2020-11-17 13:47:48 UTC
Created attachment 113733 [details] [review]
Bug 27015: Make pickup locations searchable

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 David Nind 2020-11-17 20:11:05 UTC
Created attachment 113761 [details] [review]
Bug 27015: Unit tests

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 David Nind 2020-11-17 20:11:08 UTC
Created attachment 113762 [details] [review]
Bug 27015: Make pickup locations searchable

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: David Nind <david@davidnind.com>
Comment 6 David Nind 2020-11-17 20:12:54 UTC
Tested by:

1. Running prove t/db_dependent/api/v1/holds.t before and after patch applied => All tests pass.

2. Successfully testing bug 27016
Comment 7 Nick Clemens 2020-11-18 15:44:22 UTC
Created attachment 113789 [details] [review]
Bug 27015: Unit tests

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 8 Nick Clemens 2020-11-18 15:44:25 UTC
Created attachment 113790 [details] [review]
Bug 27015: Make pickup locations searchable

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 9 Jonathan Druart 2021-01-04 15:34:29 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 10 Fridolin Somers 2021-01-07 14:49:20 UTC
Enhancement not pushed to 20.11.x